# Getting Started

### Add a block

Hi there! Let's get started coding your Little Robot Friend! Try changing the LRF's eye color putting a ``||LRFEyeMessages:set eye colors||`` block inside the ``||loops:on start||`` block.

```blocks
LRFEyeMessages.setEyeColors(LRFColour.orange, LRFColour.cyan)
```

### Add another block

Now let's add a ``||LRFSoundMessages:sound||``! Put a ``||LRFSoundMessages:say a sound||`` block in the ``||basic:on start||`` block and plug in a ``||LRFSoundMessages:sound||`` block. Try playing with the different input values and see what happens.

```blocks
LRFEyeMessages.setEyeColors(LRFColour.orange, LRFColour.cyan)
LRFSoundMessages.saySound(LRFSoundMessages.sound(
LRFNote.a,
LRFOctave.midLow,
LRFIntonation.flat,
LRFDuration.medium,
LRFDuration.none
))

```

### Deleting blocks

Okay, now let's delete some blocks. Drag the blocks over to the sidebar or the trash can. Note: you can't delete ``||basic:on start||``.

### Sensor Events

Little Robot Friends love to be played with! Let's make our robot ``||LRFExpressions:giggle||`` when we ``||LRFInputEvents:tickle||`` it's hair! Drag an ``||LRFInputEvents:on hair||`` block from ``||LRFInputEvents:Sensor Actions||`` onto the workspace. Choose ``||LRFInputEvents:tickle||`` from the dropdown. Add a ``||LRFExpressions:do laugh||`` block inside. Now, ``||LRFInputEvents:tickle||`` your robot!

```blocks
LRFInputEvents.onHairTouchedEvent(LRFTouchEventType.tickled, function () {
    LRFExpressions.doLaugh(LRFLaughExpression.giggle)
})
```

### Now what?

Try our next steps tutorial! Or, you can just play around with all the different code blocks! It's up to you, just have fun while you _Make. Play. Code_
